### Function

# Goa Maps override_properties

deprecated: Unknown since: 3.14.0

#### Declaration [src]

    guint
    goa_maps_override_properties (
      GObjectClass* klass,
      guint property_id_begin
    )

#### Description [src]

Overrides all `GObject` properties in the `GoaMaps` interface for a concrete class. The properties are overridden in the order they are defined.

Available since: 3.14.0

Deprecated since: Unknown

The D-Bus interface has been deprecated.

#### Parameters

`klass`

  Type: `GObjectClass`

  The class structure for a `GObject` derived class.

  The data is owned by the caller of the function.

`property_id_begin`

  Type: `guint`

  The property id to assign to the first overridden property.

#### Return value

Type: `guint`

The last property id.